<!DOCTYPE html>
<html class="no-js">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

    <title>{% if meta.title %}{{ meta.title }} | {% endif %}{{ site_title }}</title>
    {% if meta.description %}
        <meta name="description" content="{{ meta.description|striptags }}" />
    {% endif %}{% if meta.robots %}
        <meta name="robots" content="{{ meta.robots }}" />
    {% endif %}

    {% if current_page %}
        <link rel="canonical" href="{{ current_page.url }}" />
    {% endif %}

    <link rel="stylesheet" href="{{ theme_url }}/css/style.css" type="text/css" />
    <link rel="stylesheet" href="{{ theme_url }}/css/droidsans.css" type="text/css" />
    <link rel="stylesheet" href="{{ theme_url }}/css/fontello.css" type="text/css" />
</head>
<body{% if config.theme_config.widescreen %} class="widescreen"{% endif %}>

    <div id="header">
        <div class="container">
            <a id="nav-toggle" title="Toggle Menu" role="button" aria-controls="nav" aria-expanded="false" tabindex="1">
                <span class="icon-menu" aria-hidden="true"></span>
                <span class="sr-only">Toggle Menu</span>
            </a>
            <h1>
                <a href="{{ "index"|link }}">{{ site_title }}</a>
            </h1>
            <div id="nav" role="region" tabindex="-1">
                <ul>
                    {% for page in pages if page.title and not page.hidden %}
                        {% set pageDepth = page.id|split('/')|length %}
                        {% if (pageDepth == 2) and (page.id ends with "/index") or (pageDepth == 1) %}
                            <li{% if page.id == current_page.id %} class="active"{% endif %}>
                                <a href="{{ page.url }}">{{ page.title }}</a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
            </div>

            <form id="search_form" action="/search">
                <label for="search_input">Search the site:</label>
                <input type="search" id="search_input" name="q" />
                <input type="submit" value="Search" />
            </form>
            <script type="text/javascript">
                // Intercept form submit and go to the search results page directly, avoiding a redirect
                document.getElementById('search_form').addEventListener('submit', function (e) {
                    var search_terms = document.getElementById('search_input').value;
                    location.href = "{{ "index"|link }}" + '?search/' + encodeURIComponent(search_terms);
                    e.preventDefault();
                });
            </script>
        </div>
    </div>

    <div id="main">
        <div class="container">
            {% block content %} {{ content }} {% endblock %}
        </div>
    </div>

    <div id="footer">
        <div class="container">
        </div>
    </div>

    <script src="{{ theme_url }}/js/modernizr-3.3.1-custom.min.js" type="text/javascript"></script>
    <script src="{{ theme_url }}/js/utils.js" type="text/javascript"></script>
    <script src="{{ theme_url }}/js/pico.js" type="text/javascript"></script>

    {{ content_editor }}
</body>
</html>
